import { ComponentFactory } from "@angular/core";
import { PopupType } from '../../../core/enum/popup-type.enum';
import { PopupWindowShellComponent } from '../popup-window-shell.component';
import { PopupButtonType } from '../../../core/enum/popup-button-type.enum';
import { Popup } from '../interface/popup';
import { PopupSettings } from '../interface/popup-settings';
export declare class PopupWindowModel {
    factory: ComponentFactory<Popup>;
    settings: PopupSettings;
    inputs: any;
    static readonly closeDefaultOutputStr: string;
    get type(): PopupType;
    uuid: string;
    popupWindowComponent?: PopupWindowShellComponent;
    constructor(factory: ComponentFactory<Popup>, settings: PopupSettings, inputs: any);
    closeDefault(): void;
    enableOpenButton(): void;
    disableOpenButton(): void;
    getTitle(): string;
    onClose(eventType: PopupButtonType, output?: any): void;
}
